content/operate/rs/references/rest-api/requests/actions/bdb.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/actions/bdb/{bdb_uid} | Get the status of a specific database's actions |
GET /v1/actions/bdb/{bdb_uid}
Get the status of all currently executing, pending, or completed state-machine-related actions for a specific database. This API tracks short-lived API requests that return action_uid.
| Permission name |
|---|
| [view_status_of_cluster_action]({{< relref "/operate/rs/references/rest-api/permissions#view_status_of_cluster_action" >}}) |
GET /v1/actions/bdb/1
| Field | Type | Description |
|---|---|---|
| bdb_uid | string | Unique database ID |
Returns an array of JSON objects with attributes from [actions]({{< relref "/operate/rs/references/rest-api/objects/action" >}}) and [state machines]({{< relref "/operate/rs/references/rest-api/objects/state-machine" >}}).
Each action contains the following attributes: name, action_uid, status, and progress.
[
{
"action_uid": "8afc7f70-f3ae-4244-a5e9-5133e78b2e97",
"heartbeat": 1703067908,
"name": "SMUpdateBDB",
"object_name": "bdb:1",
"pending_ops": {},
"progress": 50.0,
"state": "proxy_policy",
"status": "active"
}
]
| Code | Description |
|---|---|
| 200 OK | No error, response provides info about state-machine actions |
| 404 Not Found | bdb not found |